# $Revision: 1.6 $, $Date: 2012/03/26 19:45:26 $
%define		status		stable
%define		pearname	Horde_Http
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde HTTP libraries
Name:		php-horde-Horde_Http
Version:	1.1.1
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	2e34f5965cc426571534684e4cbac576
URL:		https://github.com/horde/horde/tree/master/framework/Http/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Support < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-curl
Suggests:	php-horde-Horde_Test
Suggests:	php-http
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a set of classes for making HTTP requests.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

mv docs/Horde_Http/examples .

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Http.php
%{php_pear_dir}/Horde/Http
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_Http.spec,v $
Revision 1.6  2012/03/26 19:45:26  glen
- updated to: 1.1.1

Revision 1.5  2011/11/03 04:29:50  glen
- up to 1.1.0

Revision 1.4  2011/07/31 19:05:07  glen
- updated to: 1.0.3

Revision 1.3  2011/05/03 05:26:44  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:30  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:05  glen
- horde h4 pear packages
